cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Has anyone been successful at getting SAP Fiori agentless monitoring on premise working?

pnpendleto
Newcomer

We have an on-premise FIORI system. We have taken the steps to create manual insertion on the dynatrace side. We added this to the FIORI plugin app. This was all done following the instructions from the following blog.

https://blogs.sap.com/2018/07/17/monitoring-a-fiori-launchpad-on-sap-cloud-portal-using-dynatrace./c...

The plugin app is working and sending data to dynatrace. However with the plugin active no other tiles can be executed. Everyone of them have the same error. It is as if the plugin app with dynatrace code locks the other apps.

We tested creating another plugin app without the dynatrace code. It just had a dummy success message alert. All tiles were accessible with that app being activated.

So initial signs seems to indicate dynatrace script is causing something to be locked or preventing something from being able to open.

Error we get on every tile when you try to execute it is: "App could not be opened because the SAP UI5 component of the application could not be loaded"

We are on FIORI 6.0 / launchpad version - 1.71.19 / NW 7.52.

Has anyone ran into this issue before and what was the fix? Any ideas what we can try?

6 REPLIES 6

Hi @Paul P.

Customer is in touch with support (SUP-62943) regarding the same issue

There is a fix for that problem with in the follow specific versions:

  1. 1.205.188
  2. 1.207.244
  3. 1.207.268

HTH

Yos

@Yos N. what product are you referring to in the versions you mention?

Hi @Paul P.

To JS tag version

From settings --> Preferences --> OneAgent updates

Mark the automatically update real user monitoring JavaScript library off, and you will be able to check on of the version mentioned above

for example 1.207.244 is present in our env

HTH

Yos

@Yos N. Looks like we are on an updated version: 1.209.144 So we should have these fixes in ur version is that assumption correct?

Hi @Paul P.

This fix was tricky one and it was set and un set in few of JS versions.

Customer didn't try the current version (1.209.144) to see if it works or not.

1.207.244 for sure tested and work OK

If you can check and update the current version it swill help and I will update the on going ticket with your information

Yos


Hi

The JS version 1.211.169 was checked and it works correctly.

You need to add custom configuration property "exp=1" in JavaScript tag properties per application.

 

Best Regards

Tolik